Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.ray
Class RTSphere

    java.lang.Object
      de.grogra.imp3d.objects.SceneTree.Node
          de.grogra.imp3d.objects.SceneTree.Leaf
              de.grogra.imp3d.objects.SceneTreeWithShader.Leaf
                  de.grogra.imp3d.ray.RaytracerLeaf
                      de.grogra.imp3d.ray.RTSphere

All Implemented Interfaces:
  ExportableToVRML, RTObject

    public class RTSphere

extends RaytracerLeaf
implements RTObject, ExportableToVRML

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.ray.RTObject
`RTObject.RTObjectUserData`

Field Summary

Fields inherited from class de.grogra.imp3d.objects.SceneTreeWithShader.Leaf
`interior, shader`

Fields inherited from class de.grogra.imp3d.objects.SceneTree.Leaf
`asNode, object, pathId`

Fields inherited from class de.grogra.imp3d.objects.SceneTree.Node
`next`

Constructor Summary
`RTSphere(java.lang.Object object, boolean asNode, long pathId, float radius)`

Method Summary
`void` | `exportToVRML(java.io.BufferedWriter writer)`
`BoundingVolume` | `getBoundingVolume()`
`float` | `getDistance(Ray ray, RayContext context)`
`void` | `getIntersectionDescription(IntersectionDescription desc)`
`RTMedium` | `getMedium()`
`float` | `getRadius()`
`boolean` | `isConvex()`
`boolean` | `isShadeable()`
`boolean` | `isSolid()`
`void` | `setRadius(double value)`
`void` | `setTransformation(Matrix4f mat)`

Methods inherited from class de.grogra.imp3d.ray.RaytracerLeaf
`getRTMedium, getRTShader, getShader, getTransformation, getUserData, setMedium, setShader`

Methods inherited from class de.grogra.imp3d.objects.SceneTreeWithShader.Leaf
`setInterior`

Methods inherited from class de.grogra.imp3d.objects.SceneTree.Leaf
`accept, getBoolean, getByte, getChar, getDouble, getFloat, getInt, getLong, getObject, getObject, getShort, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.ray.RTObject
`getShader, getUserData`

Constructor Detail

### RTSphere

    public RTSphere(java.lang.Object object,
                    boolean asNode,
                    long pathId,
                    float radius)

Method Detail

### exportToVRML

    public void exportToVRML(java.io.BufferedWriter writer)

  Specified by:
    `exportToVRML` in interface `ExportableToVRML`

### getBoundingVolume

    public BoundingVolume getBoundingVolume()

  Specified by:
    `getBoundingVolume` in interface `RTObject`

### getDistance

    public float getDistance(Ray ray,
                             RayContext context)

  Specified by:
    `getDistance` in interface `RTObject`

### getIntersectionDescription

    public void getIntersectionDescription(IntersectionDescription desc)

  Specified by:
    `getIntersectionDescription` in interface `RTObject`

### getMedium

    public RTMedium getMedium()

  Specified by:
    `getMedium` in interface `RTObject`
  Overrides:
    `getMedium` in class `RaytracerLeaf`

### getRadius

    public float getRadius()

### isConvex

    public boolean isConvex()

  Specified by:
    `isConvex` in interface `RTObject`

### isShadeable

    public boolean isShadeable()

  Specified by:
    `isShadeable` in interface `RTObject`

### isSolid

    public boolean isSolid()

  Specified by:
    `isSolid` in interface `RTObject`

### setRadius

    public void setRadius(double value)

### setTransformation

    public void setTransformation(Matrix4f mat)

  Overrides:
    `setTransformation` in class `RaytracerLeaf`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD